%define module_name YAOO
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Blessed/Merge.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Typed.pm) perl(Module/Metadata.pm) perl(Test/More.pm) perl(Tie/IxHash.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Yet Another Object Orientation
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package Synopsis;

_use YAOO;

_auto_build;

_has moon => ro, isa(hash(a => "b", c => "d", e => [qw/1 2 3/], f => { 1 => { 2 => { 3 => 4 } } }));

_has stars => rw, isa(array(qw/a b c d/));

_has satellites => rw, isa(integer);

_has mind => rw, isa(ordered_hash(
__chang => 1,
__zante => 2,
__oistins => 3
_));

_1;

_...

_Synopsis->new( satelites => 5 );

_$synopsis->mind->{oistins};


_...

_package Life;

_extends 'Synopsis';

_requires_has qw/moon stars satellites mind/

_1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/Y*

%changelog
* Fri Mar 25 2022 Igor Vlasenko <viy@altlinux.org> 0.09-alt1
- updated by package builder

* Wed Feb 23 2022 Igor Vlasenko <viy@altlinux.org> 0.08-alt1
- updated by package builder

* Wed Feb 16 2022 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Tue Feb 15 2022 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- initial import by package builder

